#1178 [Shared map] Nodes are lost when moving them through drag & drop

FreeMind_1.0.0
closed-fixed
nobody
None
5
2014-03-13
2013-11-19
No

Hello,

I have the following configuration:
[server] map shared on a 64 bits redhat linux 6.2, java version 1.7.0_9
[client] map joined from a 64 bits windows 7, java version 1.7.0_15

If I work from the client on Windows and try to move a subtree from one node to another node (via drag&drop), freemind freezes for some seconds, and the nodes I wanted to move disappears. So I can really not move nodes.
If I try the same thing from the server, it works as expected, and I do not lose any node; however, my goal was to be able to modify one single map in collaborative mode.

Can you please see if you are able to reproduce the issue and hopefully fix it?

Thanks in advance for your help.

Regards.

Discussion

  • Christian Foltin

    Hi,

    I would need the log files to see, what happens.
    Br, Chris

     
  • Fx freemind bug

    Fx freemind bug - 2013-11-20

    Hi,

    Here are the logs:
    INFO: freemind_version = 1.0.0; freemind_xml_version = 1.0.1\par
    Build: 855\par
    \par
    java_version = 1.7.0_09; os_name = Linux; os_version = 2.6.32-220.23.1.el6.x86_6
    4\par
    Nov 20, 2013 6:14:12 PM freemind.main.EditServer <init>\par
    INFO: FreeMind server started on port 60913\par
    Nov 20, 2013 6:14:12 PM freemind.main.EditServer <init>\par
    INFO: Authorization key is 171521455\par
    Nov 20, 2013 6:14:15 PM freemind.main.FreeMind updateLookAndFeel\par
    INFO: Default (System) Look & Feel: javax.swing.plaf.metal.MetalLookAndFeel\par
    Nov 20, 2013 6:14:17 PM freemind.main.Tools getFreeMindBasePath\par
    INFO: Path: /home/tata/freemind/lib/freemind.jar\par
    Nov 20, 2013 6:14:17 PM freemind.main.Tools getFreeMindBasePath\par
    INFO: reducded Path: /home/tata/freemind/\par
    Nov 20, 2013 6:14:17 PM freemind.modes.ModesCreator getAllModes\par
    INFO: Modes:[freemind.modes.browsemode.BrowseMode, freemind.modes.filemode.FileM
    ode, freemind.modes.mindmapmode.MindMapMode]
    \par
    Nov 20, 2013 6:14:17 PM freemind.modes.ModesCreator getMode\par
    INFO: Initializing mode MindMap\par
    Nov 20, 2013 6:14:18 PM freemind.modes.mindmapmode.MindMapController init\par
    INFO: createIconActions\par
    \par
    STDOUT: User patterns file /home/tata//.freemind/patterns.xml not found.Nov 20, 2013 6:14:19 PM freemind.modes.mindmapmode.MindMapController init\par
    INFO: createNodeHookActions\par
    Nov 20, 2013 6:14:19 PM freemind.main.FreeMindCommon getFreemindBaseDir\par
    INFO: Basedir is: /home/tata/freemind\par
    Nov 20, 2013 6:14:19 PM freemind.extensions.ImportWizard buildClassList\par
    INFO: Classpath for plugins:/home/tata/freemind:::/home/tata//freemind/lib/freemind.jar:/home/tata//freemind/lib/jibx/jibx-run.jar:\par
    /home/tata//freemind/lib/jibx/xpp3.jar:/home/tata//freemind/lib/bindings.jar:/home/tata//freemind/lib/commons-lang-2.0.jar:/home/tata//freemi\par
    nd/lib/forms-1.0.5.jar:/home/tata//freemind/lib/jortho.jar:/home/tata//freemind/lib/xalan.jar:/home/tata//freemind/lib/serializer.jar:/home/gdmd\par
    ev02/freemind/lib/xml-apis.jar:/home/tata//freemind/lib/xercesImpl.jar:/home/tata//freemind\par
    Nov 20, 2013 6:14:19 PM freemind.extensions.ImportWizard addClassesFromDir\par
    INFO: Found: plugins/ExportSvg\par
    Nov 20, 2013 6:14:19 PM freemind.extensions.ImportWizard addClassesFromDir\par
    INFO: Found: plugins/MapViewer\par
    Nov 20, 2013 6:14:19 PM freemind.extensions.ImportWizard addClassesFromDir\par
    INFO: Found: plugins/FreemindHelp\par
    Nov 20, 2013 6:14:19 PM freemind.extensions.ImportWizard addClassesFromDir\par
    INFO: Found: plugins/CollaborationSocket\par
    Nov 20, 2013 6:14:19 PM freemind.extensions.ImportWizard addClassesFromDir\par
    INFO: Found: plugins/ScriptingEngine\par
    Nov 20, 2013 6:14:19 PM freemind.extensions.ImportWizard addClassesFromDir\par
    INFO: Found: accessories/mm2ooimpressStyles\par
    Nov 20, 2013 6:14:19 PM freemind.extensions.ImportWizard addClassesFromDir\par
    INFO: Found: accessories/mm2oowriterStyles\par
    Nov 20, 2013 6:14:19 PM freemind.extensions.ImportWizard addClassesFromDir\par
    INFO: Found: patterns\par
    Nov 20, 2013 6:14:20 PM freemind.modes.mindmapmode.MindMapController init\par
    INFO: mindmap_menus\par
    Nov 20, 2013 6:14:20 PM freemind.modes.mindmapmode.MindMapController init\par
    INFO: MindMapPopupMenu\par
    Nov 20, 2013 6:14:20 PM freemind.modes.mindmapmode.MindMapController init\par
    INFO: MindMapToolBar\par
    Nov 20, 2013 6:14:21 PM freemind.modes.ModesCreator getMode\par
    INFO: Done: Initializing mode MindMap\par
    Nov 20, 2013 6:14:21 PM freemind.controller.Controller obtainFocusForSelected\par
    INFO: No view present. No focus!Nov 20, 2013 6:14:21 PM freemind.controller.Controller numberOfOpenMapInformation\par
    INFO: number 0, pIndex -1\par
    Nov 20, 2013 6:14:21 PM freemind.modes.mindmapmode.MindMapController init\par
    INFO: createIconActions\par
    \par
    STDOUT: User patterns file /home/tata//.freemind/patterns.xml not found.Nov 20, 2013 6:14:21 PM freemind.modes.mindmapmode.MindMapController init\par
    INFO: createNodeHookActions\par
    Nov 20, 2013 6:14:21 PM freemind.modes.mindmapmode.MindMapController init\par
    INFO: mindmap_menus\par
    Nov 20, 2013 6:14:21 PM freemind.modes.mindmapmode.MindMapController init\par
    INFO: MindMapPopupMenu\par
    Nov 20, 2013 6:14:21 PM freemind.modes.mindmapmode.MindMapController init\par
    INFO: MindMapToolBar\par
    Nov 20, 2013 6:14:22 PM freemind.modes.common.listeners.MindMapMouseWheelEventHandler <init>\par
    INFO: Setting SCROLL_SKIPS to 80\par
    Nov 20, 2013 6:14:22 PM freemind.extensions.HookDescriptorBase getClassLoader\par
    INFO: file {\field{*\fldinst{HYPERLINK "file:/home/tata/freemind/plugins/script/scripting_plugin.jar"}}{\fldrslt{\ul\cf1 file:/home/tata/freemind/plugins/script/scripting_plugin.jar}}}\f0\fs22 exists = true\par
    Nov 20, 2013 6:14:22 PM freemind.extensions.HookDescriptorBase getClassLoader\par
    INFO: file {\field{*\fldinst{HYPERLINK "file:/home/tata/freemind/plugins/script/groovy-all-1.5.6.jar"}}{\fldrslt{\ul\cf1 file:/home/tata/freemind/plugins/script/groovy-all-1.5.6.jar}}}\f0\fs22 exists = true\par
    Nov 20, 2013 6:14:22 PM freemind.extensions.HookDescriptorBase getClassLoader\par
    INFO: file {\field{*\fldinst{HYPERLINK "file:/home/tata/freemind/plugins/map/JMapViewer.jar"}}{\fldrslt{\ul\cf1 file:/home/tata/freemind/plugins/map/JMapViewer.jar}}}\f0\fs22 exists = true\par
    Nov 20, 2013 6:14:22 PM freemind.extensions.HookDescriptorBase getClassLoader\par
    INFO: file {\field{*\fldinst{HYPERLINK "file:/home/tata/freemind/plugins/map/map_plugin.jar"}}{\fldrslt{\ul\cf1 file:/home/tata/freemind/plugins/map/map_plugin.jar}}}\f0\fs22 exists = true\par
    Nov 20, 2013 6:14:23 PM freemind.extensions.HookDescriptorBase getClassLoader\par
    INFO: file {\field{*\fldinst{HYPERLINK "file:/home/tata/freemind/plugins/collaboration/socket/socket_plugin.jar"}}{\fldrslt{\ul\cf1 file:/home/tata/freemind/plugins/collaboration/socket/socket_plugin.jar}}}\f0\fs22 exists = true\par
    Nov 20, 2013 6:14:23 PM plugins.map.Registration getCacheDirectory\par
    INFO: Trying to use file cache tile loader with dir /home/tata//.freemind/osm\par
    Nov 20, 2013 6:14:23 PM plugins.map.Registration createTileLoader\par
    INFO: Setting cache max age to 7 days.\par
    Nov 20, 2013 6:14:23 PM plugins.map.Registration getCacheDirectory\par
    INFO: Trying to use file cache tile loader with dir /home/tata//.freemind/osm\par
    Nov 20, 2013 6:14:25 PM freemind.controller.Controller numberOfOpenMapInformation\par
    INFO: number 1, pIndex 0\par
    Nov 20, 2013 6:14:33 PM freemind.main.FreeMindCommon$FreeMindResourceBundle handleGetObject\par
    SEVERE: Warning - resource string not found:\par
    plugins.collaboration.socket.SocketBasics.password_verification\par
    Nov 20, 2013 6:14:33 PM freemind.main.FreeMindCommon$FreeMindResourceBundle handleGetObject\par
    SEVERE: Warning - resource string not found:\par
    plugins.collaboration.socket.SocketBasics.password_verification_description\par
    Nov 20, 2013 6:14:33 PM freemind.main.FreeMindCommon$FreeMindResourceBundle handleGetObject\par
    SEVERE: Warning - resource string not found:\par
    plugins.collaboration.socket.SocketBasics.port.description\par
    Nov 20, 2013 6:14:37 PM plugins.collaboration.socket.MindMapMaster startupMapHook\par
    INFO: Start server...\par
    Nov 20, 2013 6:14:37 PM plugins.collaboration.socket.SocketBasics registerFilter\par
    INFO: Registering filter\par
    Nov 20, 2013 6:14:37 PM plugins.collaboration.socket.MindMapMaster startupMapHook\par
    INFO: Starting server. Done.\par
    Nov 20, 2013 6:15:02 PM plugins.collaboration.socket.MindMapMaster$MasterThread processAction\par
    INFO: Received new client.\par
    Nov 20, 2013 6:15:02 PM plugins.collaboration.socket.ServerCommunication processCommand\par
    INFO: Store map in welcome command...\par
    Nov 20, 2013 6:15:02 PM freemind.main.Resources logException\par
    SEVERE: An exception occured:\par
    java.lang.NullPointerException\par
    at plugins.collaboration.socket.ServerCommunication.processCommand(ServerCommunication.java:92)\par
    at plugins.collaboration.socket.CommunicationBase$1.run(CommunicationBase.java:133)\par
    at plugins.collaboration.socket.CommunicationBase.processAction(CommunicationBase.java:145)\par
    at plugins.collaboration.socket.TerminateableThread.run(TerminateableThread.java:52)\par
    \par
    Nov 20, 2013 6:15:20 PM freemind.modes.common.listeners.MindMapMouseWheelEventHandler <init>\par
    INFO: Setting SCROLL_SKIPS to 80\par
    Nov 20, 2013 6:15:20 PM plugins.map.Registration getCacheDirectory\par
    INFO: Trying to use file cache tile loader with dir /home/tata//.freemind/osm\par
    Nov 20, 2013 6:15:20 PM plugins.map.Registration createTileLoader\par
    INFO: Setting cache max age to 7 days.\par
    Nov 20, 2013 6:15:20 PM freemind.controller.Controller numberOfOpenMapInformation\par
    INFO: number 1, pIndex 0\par
    Nov 20, 2013 6:15:28 PM plugins.collaboration.socket.MindMapMaster$MasterThread processAction\par
    INFO: Received new client.\par
    Nov 20, 2013 6:15:28 PM plugins.collaboration.socket.ServerCommunication processCommand\par
    INFO: Store map in welcome command...\par
    Nov 20, 2013 6:15:32 PM plugins.collaboration.socket.MindMapMaster lock\par
    INFO: New lock Lock_0.5016638695020745 by toto@freemindwinclient\par
    Nov 20, 2013 6:15:32 PM plugins.collaboration.socket.ServerCommunication processCommand\par
    INFO: Got lock for toto@freemindwinclient\par
    Nov 20, 2013 6:15:34 PM plugins.collaboration.socket.CommunicationBase printCommand\par
    INFO: Receive: NewNodeAction (Id: Lock_0.5016638695020745)\par
    Nov 20, 2013 6:15:34 PM plugins.collaboration.socket.CommunicationBase printCommand\par
    INFO: Send: NewNodeAction (Id: Lock_0.5016638695020745)\par
    Nov 20, 2013 6:15:34 PM plugins.collaboration.socket.CommunicationBase printCommand\par
    INFO: Send: NewNodeAction (Id: Lock_0.5016638695020745)\par
    Nov 20, 2013 6:15:36 PM plugins.collaboration.socket.MindMapMaster lock\par
    INFO: New lock Lock_0.05852277095435554 by toto@freemindwinclient\par
    Nov 20, 2013 6:15:36 PM plugins.collaboration.socket.ServerCommunication processCommand\par
    INFO: Got lock for toto@freemindwinclient\par
    Nov 20, 2013 6:15:36 PM plugins.collaboration.socket.CommunicationBase printCommand\par
    INFO: Receive: EditNodeAction (Id: Lock_0.05852277095435554)\par
    Nov 20, 2013 6:15:36 PM plugins.collaboration.socket.CommunicationBase printCommand\par
    INFO: Send: EditNodeAction (Id: Lock_0.05852277095435554)\par
    Nov 20, 2013 6:15:36 PM plugins.collaboration.socket.CommunicationBase printCommand\par
    INFO: Send: EditNodeAction (Id: Lock_0.05852277095435554)\par
    Nov 20, 2013 6:15:37 PM plugins.collaboration.socket.MindMapMaster lock\par
    INFO: New lock Lock_0.6719361664648253 by toto@freemindwinclient\par
    Nov 20, 2013 6:15:37 PM plugins.collaboration.socket.ServerCommunication processCommand\par
    INFO: Got lock for toto@freemindwinclient\par
    Nov 20, 2013 6:15:37 PM plugins.collaboration.socket.CommunicationBase printCommand\par
    INFO: Receive: NewNodeAction (Id: Lock_0.6719361664648253)\par
    Nov 20, 2013 6:15:37 PM plugins.collaboration.socket.CommunicationBase printCommand\par
    INFO: Send: NewNodeAction (Id: Lock_0.6719361664648253)\par
    Nov 20, 2013 6:15:37 PM plugins.collaboration.socket.CommunicationBase printCommand\par
    INFO: Send: NewNodeAction (Id: Lock_0.6719361664648253)\par
    Nov 20, 2013 6:15:40 PM plugins.collaboration.socket.MindMapMaster lock\par
    INFO: New lock Lock_0.7885009296871032 by toto@freemindwinclient\par
    Nov 20, 2013 6:15:40 PM plugins.collaboration.socket.ServerCommunication processCommand\par
    INFO: Got lock for toto@freemindwinclient\par
    Nov 20, 2013 6:15:41 PM plugins.collaboration.socket.CommunicationBase printCommand\par
    INFO: Receive: EditNodeAction (Id: Lock_0.7885009296871032)\par
    Nov 20, 2013 6:15:41 PM plugins.collaboration.socket.CommunicationBase printCommand\par
    INFO: Send: EditNodeAction (Id: Lock_0.7885009296871032)\par
    Nov 20, 2013 6:15:41 PM plugins.collaboration.socket.CommunicationBase printCommand\par
    INFO: Send: EditNodeAction (Id: Lock_0.7885009296871032)\par
    Nov 20, 2013 6:15:42 PM plugins.collaboration.socket.MindMapMaster lock\par
    INFO: New lock Lock_0.15281199647299215 by toto@freemindwinclient\par
    Nov 20, 2013 6:15:42 PM plugins.collaboration.socket.ServerCommunication processCommand\par
    INFO: Got lock for toto@freemindwinclient\par
    Nov 20, 2013 6:15:42 PM plugins.collaboration.socket.CommunicationBase printCommand\par
    INFO: Receive: NewNodeAction (Id: Lock_0.15281199647299215)\par
    Nov 20, 2013 6:15:42 PM plugins.collaboration.socket.CommunicationBase printCommand\par
    INFO: Send: NewNodeAction (Id: Lock_0.15281199647299215)\par
    Nov 20, 2013 6:15:42 PM plugins.collaboration.socket.CommunicationBase printCommand\par
    INFO: Send: NewNodeAction (Id: Lock_0.15281199647299215)\par
    Nov 20, 2013 6:15:44 PM plugins.collaboration.socket.MindMapMaster lock\par
    INFO: New lock Lock_0.023293088839026366 by toto@freemindwinclient\par
    Nov 20, 2013 6:15:44 PM plugins.collaboration.socket.ServerCommunication processCommand\par
    INFO: Got lock for toto@freemindwinclient\par
    Nov 20, 2013 6:15:44 PM plugins.collaboration.socket.CommunicationBase printCommand\par
    INFO: Receive: EditNodeAction (Id: Lock_0.023293088839026366)\par
    Nov 20, 2013 6:15:44 PM plugins.collaboration.socket.CommunicationBase printCommand\par
    INFO: Send: EditNodeAction (Id: Lock_0.023293088839026366)\par
    Nov 20, 2013 6:15:44 PM plugins.collaboration.socket.CommunicationBase printCommand\par
    INFO: Send: EditNodeAction (Id: Lock_0.023293088839026366)\par
    Nov 20, 2013 6:15:46 PM plugins.collaboration.socket.MindMapMaster lock\par
    INFO: New lock Lock_0.07420150105529821 by toto@freemindwinclient\par
    Nov 20, 2013 6:15:46 PM plugins.collaboration.socket.ServerCommunication processCommand\par
    INFO: Got lock for toto@freemindwinclient\par
    Nov 20, 2013 6:15:46 PM plugins.collaboration.socket.CommunicationBase printCommand\par
    INFO: Receive: CompoundAction [CutNodeAction] (Id: Lock_0.07420150105529821)\par
    Nov 20, 2013 6:15:46 PM plugins.collaboration.socket.CommunicationBase printCommand\par
    INFO: Send: CompoundAction [CutNodeAction] (Id: Lock_0.07420150105529821)\par
    Nov 20, 2013 6:15:46 PM plugins.collaboration.socket.CommunicationBase printCommand\par
    INFO: Send: CompoundAction [CutNodeAction] (Id: Lock_0.07420150105529821)\par
    Nov 20, 2013 6:15:46 PM plugins.collaboration.socket.CommunicationBase printWrongState\par
    WARNING: Wrong state for class freemind.controller.actions.generated.instance.CollaborationRequireLock: STATE_WAIT_FOR_COMMAND\par
    Nov 20, 2013 6:15:46 PM freemind.main.Resources logException\par
    SEVERE: An exception occured:\par
    plugins.collaboration.socket.SocketBasics$UnableToGetLockException\par
    at plugins.collaboration.socket.MindMapMaster.lock(MindMapMaster.java:324)\par
    at plugins.collaboration.socket.ServerCommunication.processCommand(ServerCommunication.java:137)\par
    at plugins.collaboration.socket.CommunicationBase$1.run(CommunicationBase.java:133)\par
    at plugins.collaboration.socket.CommunicationBase.processAction(CommunicationBase.java:145)\par
    at plugins.collaboration.socket.TerminateableThread.run(TerminateableThread.java:52)\par
    \par
    Nov 20, 2013 6:15:46 PM plugins.collaboration.socket.ServerCommunication processCommand\par
    WARNING: Received unknown message of type class freemind.controller.actions.generated.instance.CollaborationRequireLock\par

    I hope that helps!
    Regards,
    Philippe

     
  • Christian Foltin

    • status: open --> closed-fixed
     
  • Christian Foltin

    Hi,

    thanks for the report. Fixed in git:

    [1.1.0 41a22b2] * Fixed #1178 [Shared map] Nodes are lost when moving them through drag & drop

    Br, Chris

     
  • Christian Foltin

    Hi, available in version 1.0.1 RC1.

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks